package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.Stock;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 库存列表查询返回值实体
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockVo extends Stock {

    /**
     * 产品名称
     */
    private String productName;

    /**
     * 产品类型
     */
    private String type;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品类型
     */
    private String productType;

    /**
     * 规格型号
     */
    private String productSpec;

    /**
     * 单位
     */
    private String productUnit;

    /**
     * 产品分类id
     */
    private Long productClassifyId;

    /**
     * 产品分类名称
     */
    private String productClassifyName;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 产品定义
     */
    private Integer productDefinition;

    /**
     * 产品spu名称
     */
    private String productSpuName;
    /**
     * 产品spuID
     */
    private Long productSpuId;
    /**
     * 产品spu编码
     */
    private String productSpuCode;

    /**
     * spu关联产品数量
     */
    private BigDecimal linkProductQuantity;

    /**
     * 可组合数量
     */
    private Long combinationQuantity;

}
